StringRegularExpression (Hamcrest 2.1 API)
Date: 2018-12-21

org.hamcrest.core

## Class StringRegularExpression

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeDiagnosingMatcher<java.lang.String>
    - - org.hamcrest.core.StringRegularExpression

- All Implemented Interfaces:
    Matcher<java.lang.String>, SelfDescribing

      public class StringRegularExpression
      extends TypeSafeDiagnosingMatcher<java.lang.String>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StringRegularExpression(java.util.regex.Pattern pattern)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `describeTo(Description description)` Generates a description of the object.
    `static Matcher<java.lang.String>` | `matchesRegex(java.util.regex.Pattern pattern)` Creates a matcher that checks if the examined string matches a specified `Pattern`.
    `static Matcher<java.lang.String>` | `matchesRegex(java.lang.String regex)` Creates a matcher that checks if the examined string matches a specified regex.
    `protected boolean` | `matchesSafely(java.lang.String actual, Description mismatchDescription)` Subclasses should implement this.

    - ### Methods inherited from class org.hamcrest.TypeSafeDiagnosingMatcher

      `describeMismatch, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, isNotNull, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringRegularExpression

          protected StringRegularExpression(java.util.regex.Pattern pattern)

  - ### Method Detail

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.

    - #### matchesSafely

          protected boolean matchesSafely(java.lang.String actual,
                                          Description mismatchDescription)

      Description copied from class: `TypeSafeDiagnosingMatcher`
      Subclasses should implement this. The item will already have been checked for the specific type and will never be null.
      Specified by:
        `matchesSafely` in class `TypeSafeDiagnosingMatcher<java.lang.String>`

    - #### matchesRegex

          public static Matcher<java.lang.String> matchesRegex(java.util.regex.Pattern pattern)

      Creates a matcher that checks if the examined string matches a specified `Pattern`.

           assertThat("abc", matchesRegex(Pattern.compile("ˆ[a-z]$"));

      Parameters:
        `pattern` - the pattern to be used.
      Returns:
        The matcher.

    - #### matchesRegex

          public static Matcher<java.lang.String> matchesRegex(java.lang.String regex)

      Creates a matcher that checks if the examined string matches a specified regex.

           assertThat("abc", matchesRegex("ˆ[a-z]+$"));

      Parameters:
        `regex` - The regex to be used for the validation.
      Returns:
        The matcher.